| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SampleIdentity Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

This class is used to specify a sample. More...

`#include <SampleIdentity.hpp>`

## Public Member Functions

bool | operator== (const SampleIdentity &sample_id) const
bool | operator!= (const SampleIdentity &sample_id) const
bool | operator< (const SampleIdentity &sample) const
| To allow using SampleIdentity as map key.
SampleIdentity & | writer_guid (const GUID_t &guid)
SampleIdentity & | writer_guid (GUID_t &&guid)
const GUID_t & | writer_guid () const
GUID_t & | writer_guid ()
SampleIdentity & | sequence_number (const SequenceNumber_t &seq)
SampleIdentity & | sequence_number (SequenceNumber_t &&seq)
const SequenceNumber_t & | sequence_number () const
SequenceNumber_t & | sequence_number ()

## Static Public Member Functions

static SampleIdentity | unknown ()

## Friends

std::istream & | operator>> (std::istream &input, SampleIdentity &sid)
| Stream operator, retrieves a GUID.
std::ostream & | operator<< (std::ostream &output, const SampleIdentity &sid)
| Stream operator, prints a GUID.

## Detailed Description

This class is used to specify a sample.

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const SampleIdentity & | sample_id | ) | const

inline

## ◆ operator<()

bool operator< | ( | const SampleIdentity & | sample | ) | const

inline

To allow using SampleIdentity as map key.

Parameters

  sample |

Returns

## ◆ operator==()

bool operator== | ( | const SampleIdentity & | sample_id | ) | const

inline

## ◆ sequence_number() [1/4]

SequenceNumber_t & sequence_number | ( |  | ) |

inline

## ◆ sequence_number() [2/4]

const SequenceNumber_t & sequence_number | ( |  | ) | const

inline

## ◆ sequence_number() [3/4]

SampleIdentity & sequence_number | ( | const SequenceNumber_t & | seq | ) |

inline

## ◆ sequence_number() [4/4]

SampleIdentity & sequence_number | ( | SequenceNumber_t && | seq | ) |

inline

## ◆ unknown()

SampleIdentity unknown | ( |  | ) |

inline static

## ◆ writer_guid() [1/4]

GUID_t & writer_guid | ( |  | ) |

inline

## ◆ writer_guid() [2/4]

const GUID_t & writer_guid | ( |  | ) | const

inline

## ◆ writer_guid() [3/4]

SampleIdentity & writer_guid | ( | const GUID_t & | guid | ) |

inline

## ◆ writer_guid() [4/4]

SampleIdentity & writer_guid | ( | GUID_t && | guid | ) |

inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | output,
|  | const SampleIdentity & | sid )

friend

Stream operator, prints a GUID.

Parameters

  output | Output stream.
  sid | SampleIdentity to print.

Returns
  Stream operator.

## ◆ operator>>

std::istream & operator>> | ( | std::istream & | input,
|  | SampleIdentity & | sid )

friend

Stream operator, retrieves a GUID.

Parameters

  input | Input stream.
  sid | SampleIdentity to read.

Returns
  Stream operator.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/SampleIdentity.hpp